rpms/rwall/devel rwall.spec,1.19,1.20 rwalld.init,1.2,1.3

Jiří Moskovčák (jmoskovc) fedora-extras-commits at redhat.com
Mon Jul 23 15:03:24 UTC 2007


Author: jmoskovc

Update of /cvs/extras/rpms/rwall/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv31317

Modified Files:
	rwall.spec rwalld.init 
Log Message:
Init script rewrite to comply with LSB standard



Index: rwall.spec
===================================================================
RCS file: /cvs/extras/rpms/rwall/devel/rwall.spec,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- rwall.spec	12 Jul 2006 08:05:02 -0000	1.19
+++ rwall.spec	23 Jul 2007 15:02:51 -0000	1.20
@@ -1,7 +1,7 @@
 Summary: Client for sending messages to a host's logged in users.
 Name: rwall
 Version: 0.17
-Release: 25.2.2
+Release: 26
 License: BSD
 Group: System Environment/Daemons
 Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rwall-%{version}.tar.gz
@@ -100,6 +100,10 @@
 %config /etc/rc.d/init.d/rwalld
 
 %changelog
+* Mon Jul 23 2007 Jiri Moskovcak <jmoskovc at redhat.com> - 0.17-26
+- init script rewrite to comply with the LSB standard
+- Resolves: #247048
+
 * Wed Jul 12 2006 Jesse Keating <jkeating at redhat.com> - 0.17-25.2.2
 - rebuild
 


Index: rwalld.init
===================================================================
RCS file: /cvs/extras/rpms/rwall/devel/rwalld.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- rwalld.init	9 Sep 2004 11:55:51 -0000	1.2
+++ rwalld.init	23 Jul 2007 15:02:51 -0000	1.3
@@ -6,36 +6,55 @@
 #  	       users can do with the wall command). 
 # processname: rpc.rwalld
 
+### BEGIN INIT INFO
+# Provides: rpc.rwalld
+# Required-Start: $syslog $network
+# Required-Stop:  $syslog $network
+# Default-Start:
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: start and stop rpc.rwalld
+# Description: The rwall protocol allows remote users to display messages \
+#              on all of the active terminals on a system (like local \
+#  	           users can do with the wall command). 
+### END INIT INFO
+
 # Source function library.
 . /etc/init.d/functions
 
 # Get config.
 . /etc/sysconfig/network
 
-# Check that networking is up.
-if [ ${NETWORKING} = "no" ] ; then
-	exit 0
-fi
-
 RETVAL=0
 prog="rwalld"
 
 start() {
-	echo -n $"Starting $prog: "
-	daemon rpc.rwalld
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/rwalld
-	return $RETVAL
+    if [ $UID -ne 0 ] ; then
+        #user had insufficient privilege
+        exit 4
+    fi
+    # Check that networking is up.
+    if [ ${NETWORKING} = "no" ] ; then
+	  exit 6
+    fi
+    echo -n $"Starting $prog: "
+    daemon rpc.rwalld
+    RETVAL=$?
+    echo
+    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/rwalld
+    return $RETVAL
 }	
 
 stop() {
-	echo -n $"Stopping $prog: "
-	killproc rpc.rwalld
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/rwalld
-	return $RETVAL
+    if [ $UID -ne 0 ] ; then
+        #user had insufficient privilege
+        exit 4
+    fi
+    echo -n $"Stopping $prog: "
+    killproc rpc.rwalld
+    RETVAL=$?
+    echo
+    [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/rwalld
+    return $RETVAL
 }
 
 restart() {
@@ -53,17 +72,24 @@
 	;;
   status)
 	status rpc.rwalld
+    RETVAL=$?
 	;;
   condrestart)
   	[ -f /var/lock/subsys/rwalld ] && restart || :
 	;;
-  restart|reload)
+  force-reload)
+     restart
+     ;;
+  restart)
   	restart
 	;;
+   reload)
+     RETVAL=3
+     ;;
   *)
-	echo $"Usage: $0 {start|stop|status|restart}"
-	exit 1
+	echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart}"
+	RETVAL=2
 	;;
 esac
 
-exit $?
+exit $RETVAL




More information about the scm-commits mailing list